Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
com.tritondigital.sdksample.player.TritonPlayerActivity Class Referenceabstract

Common code for example of Triton Player uses. More...

Inheritance diagram for com.tritondigital.sdksample.player.TritonPlayerActivity:

## Public Member Functions
boolean | onCreateOptionsMenu (Menu menu)
void | onClick (View v)
void | onCuePointReceived (MediaPlayer player, Bundle cuePoint)
void | onInfo (MediaPlayer player, int info, int extra)
void | onAnalyticsReceivedListener (MediaPlayer player, Format format)
void | onStateChanged (MediaPlayer player, int state)
void | onMetaDataReceived (MediaPlayer player, Bundle metadata)
void | onCloudStreamInfoReceivedListener (MediaPlayer player, String cloudStreamInfo)
String | getmProgramUniqueId ()
void | setmProgramUniqueId (String mProgramUniqueId)

## Protected Member Functions
abstract int | getLayout ()
abstract Bundle | createPlayerSettings ()
abstract void | setInputEnabled (boolean enabled)
void | onCreate (Bundle savedInstanceState)
void | onPostCreate (Bundle savedInstanceState)
void | onResume ()
void | onPause ()
void | onDestroy ()
void | reset ()
void | seek (int seconds)
void | seekToLive ()
void | createPlayer ()
void | startProgram ()
void | startPlayer ()
void | stopPlayer ()
void | releasePlayer ()

## Protected Attributes
TextView | mPlayerLogView
TritonPlayer | mTritonPlayer
StringBuilder | mDateFormatBuffer = new StringBuilder()

## Static Protected Attributes
static final String | IMAGE_URI = "http://mobileapps.streamtheworld.com/android/tritondigital_tritonradio/icon_512.png"

## Detailed Description

Common code for example of Triton Player uses.

In a real application, you should use TritonPlayer from an Android service.

The documentation for this class was generated from the following file:

- released_modules/src/main/java/com/tritondigital/sdksample/player/TritonPlayerActivity.java